petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESNEWTONTR

Newton based nonlinear solver that uses a trust region

### Options Database

| -snes_trtol <tol> Trust region tolerance | - . -snes_tr_mu <mu>
| -snes_tr_eta <eta> | - . -snes_tr_sigma <sigma>
| -snes_tr_delta0 <delta0> | - initial size of the trust region is delta0*norm2(x)
| -snes_tr_delta1 <delta1> | - . -snes_tr_delta2 <delta2>
| -snes_tr_delta3 <delta3> | - The basic algorithm is taken from "The Minpack Project", by More', Sorensen, Garbow, Hillstrom, pages 88-111 of "Sources and Development of Mathematical Software", Wayne Cowell, editor.

### See Also

SNESCreate(), SNES, SNESSetType(), SNESNEWTONLS, SNESSetTrustRegionTolerance()

Level:intermediate
Location:src/snes/impls/tr/tr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages